TUXPAINT(1)

NAME
tuxpaint -- A drawing program for young children.

SYNOPSYS
tuxpaint [--help --version --usage --copying]

tuxpaint
    [--fullscreen] [--800x600] [--nosound] [--noquit] [--noprint] [--printdelay=SECONDS] [--printcfg] [--simpleshapes] [--uppercase] [--grab] [--noshortcuts] [--nowheelmouse] [--nofancycursors] [--nooutlines] [--nostamps] [--nostampcontrols] [--mirrorstamps] [--keyboard] [--savedir DIR] [--saveover] [--saveovernew] [--nosave]

tuxpaint
    [--windowed] [--640x480] [--sound] [--quit] [--print] [--printdelay=0] [--noprintcfg] [--complexshapes] [--mixedcase] [--dontgrab] [--shortcuts] [--wheelmouse] [--fancycursors] [--outlines] [--stamps] [--stampcontrols] [--dontmirrorstamps] [--mouse] [--saveoverask] [--save]

tuxpaint
    [--locale LOCALE]

tuxpaint
    [--lang LANGUAGE | --lang help]

tuxpaint
    [--nosysconfig] [--nolockfile]

DESCRIPTION

Tux Paint is a drawing program for young children. It is meant to be easy and fun to use. It provides a simple interface and fixed canvas size, and provides access to previous images using a thumbnail browser (i.e., no access to the underlying filesystem).

Unlike popular drawing programs like "The GIMP," it has a very limited toolset. However, it provides a much simpler interface, and has entertaining, child-oriented additions such as sound effects.

OPTIONS - INFORMATIONAL

--help
    Display short, helpful information about Tux Paint.

--version
    Output the version info.

--usage
    Display a list of all commandline options.

--copying
    Show the license (GNU GPL) under which Tux Paint is released.

OPTIONS - INTERFACE
tuxpaint accepts the following options to alter the interface. They can be used along with, instead of, or to override options set in configuration files. (See below.)

--fullscreen --windowed
    Run Tux Paint in full-screen mode, or in a window (default).

--800x600 --640x480
    Run Tux Paint at 800x600 resolution (EXPERIMENTAL), or 640x480 resolution (default).

--nosound --sound
    Disable or enable (default) sound.

--noquit --quit
    Disable or enable (default) the on-screen Quit button.

--noprint --print
    Disable or enable (default) the Print command within Tux Paint.

--printdelay=SECONDS --printdelay=0
    Only allow printing (via the Print command) once every SECONDS seconds. Default is 0 (no limitation).

--printcfg --noprintcfg
    (Windows only.) Enable or disable loading and saving of printer settings. By default, Tux Paint will print to the default printer with default settings. Pressing [ALT] while pushing the Print button will cause a Windows printer dialog to appear (as long as you're not in fullscreen mode.) If --printcfg is used, your previous settings will be loaded when Tux Paint starts up, and setting changes will be saved for next time.

--simpleshapes --complexshapes
    Disable or enable (default) the rotation step when using the Shape tool within Tux Paint. When disabled, shapes cannot be rotated; however, the interface is easier (click, drag, release), which can be useful for younger or disabled children.

--uppercase --mixedcase
    In uppercase mode, all text prompts and the Text drawing tool will display only uppercase letters. This is useful for children who are not yet comfortable with the lowercase characterset. Default mode is mixed case.

--grab --nograb
    Grab the mouse and keyboard input (if possible), so that the mouse is confined to the Tux Paint window. Default is to not grab.

--noshortcuts --shortcuts
    If noshortcuts mode, keyboard shortcuts (e.g., Ctrl+S for Save) will be disabled. Default mode is shortcuts enabled.

--nowheelmouse --wheelmouse
    By default, the wheel (jog dial) on a mouse will be used to scroll the selector on the right of the screen. This can be disabled, and the wheel completely ignored, with the --nowheelmouse option. This is useful for children who aren't yet comfortable with the mouse. Default is to support the wheel.

--nofancycursors --fancycursors
    Disable or enable (default) the 'fancy' mouse pointer shapes in Tux Paint. While the shapes are larger, and context sensitive, some environments have trouble displaying the mouse pointer, and/or leave 'trails' on the screen.

--nooutlines --outlines
    In nooutlines mode, much simpler outlines and 'rubber-band' lines are displayed when using the Lines, Shapes, Stamps and Eraser tools. (This can help when Tux Paint is run on slower computers, or displayed on a remote X display.)

--nostamps --stamps
    With nostamps set, Rubber Stamp images are not loaded, so the Stamps tool will not be available. This option can be used to reduce the time Tux Paint takes to load, and reduce the amount of RAM it requires.

--nostampcontrols --stampcontrols
    Disable or enable (default) buttons to control stamps. Controls include mirror, flip, shrink and grow. (Note: Not all stamps will be controllable in all ways.)

--mirrorstamps --dontmirrorstamps
    With mirrorstamps set, stamps which can be mirrored will appear mirrored by default. This can be useful when used by people who prefer things right-to-left over left-to-right.

--keyboard --mouse
    The keyboard option lets the mouse pointer in Tux Paint be controlled with the keyboard. The arrow keys move the pointer. Spacebar acts as the mouse button.

--savedir DIR
    Specify where Tux Paint should save files. By default, this is "~/.tuxpaint/saved" under Linux and Unix, and "userdata\" under Windows.

--saveover --saveovernew --saveoverask
    If, when saving a picture, an older version of the file will be overwritten, Tux Paint will, by default, ask for confirmation: either save over the old file, or create a new file. This prompt can be disabled with --saveover (which always saves over older versions of pictures) or --saveovernew (which always saves a new file). The default is to prompt (--saveoverask).

--nosave --save
    The nosave option disables Tux Paint's ability to save files. This can be used in situations where the program is only being used for fun, or in a test environment.

OPTIONS - LANGUAGE
Various parts of Tux Paint have been translated into numerous languages. Tux Paint will try its best to honor your locale setting (i.e., the LANG environment variable), if possible. You can also specifically set the language using options on the command-line or in a configuration file.

--locale LOCALE
    Specify the language to use, based on locale name (which is typically of the form language[_territory][.codeset][@modifier], where language is an ISO 639 language code, territory is an ISO 3166 country code, and codeset is a character set or encoding identifier like ISO-8859-1 or UTF-8.)

    For example, de_DE@euro for German, or pt_BR for Brazilian Portuguese.

--lang LANGUAGE
    Specify the language to use, based on the language's name (as recognized by Tux Paint). Choose one of the language names listed below:

    -   english | american-english
    -   afrikaans
    -   basque | euskara
    -   belarusian | bielaruskaja
    -   bokmal
    -   brazilian-portuguese | portuges-brazilian | brazilian
    -   breton | brezhoneg
    -   british | british-english
    -   bulgarian
    -   catalan | catala
    -   chinese | simplified-chinese
    -   croatian | hrvatski
    -   czech | cesky
    -   danish | dansk
    -   dutch
    -   finnish | suomi
    -   french | francais
    -   german | dutch
    -   greek
    -   hebrew
    -   hindi
    -   hungarian | magyar
    -   icelandic | islenska
    -   indonesian | bahasa-indonesia
    -   italian | italiano
    -   japanese
    -   klingon | tlhIngan
    -   korean
    -   lithuanian | lietuviu
    -   malay
    -   norwegian | nynorsk
    -   polish | polski
    -   portuguese | portugues
    -   romanian
    -   russian | russkiy
    -   serbian
    -   slovak
    -   slovenian | slovensko
    -   spanish | espanol
    -   swedish | svenska
    -   tamil
    -   traditional-chinese
    -   turkish
    -   vietnamese
    -   walloon
    -   welsh | cymraeg

-- lang help
    Display a lists of all supported languages.

OPTIONS - MISCELLANEOUS

--nosysconfig
    With this option, Tux Paint will not attempt to read the system-wide configuration file (typically /etc/tuxpaint/tuxpaint.conf).

--nolockfile
    By default, Tux Paint uses a lockfile (stored in the user's local Tux Paint directory) which prevents it from being launched more than once in 30 seconds. (Sometimes children get too eager, or user interfaces only require one click, but users think they need to double-click.) This option makes Tux Paint ignore the current lockfile.

ENVIRONMENT
While Tux Paint may refer to a number of environment variables indirectly (e.g., via SDL(3)), it only directly accesses the following:

HOME
    to determine where picture files go when using the Save and Open commands within Tux Paint, to keep track of the current image, when quitting and restarting Tux Paint, and to get the user's configuration file.

LANG
    to determine langauge to use, if setlocale(3) refers to 'LC_MESSAGES'.

FILES

/etc/tuxpaint/tuxpaint.conf
    System-wide configuration file. It is read first (unless the --nosysconfig option was given on the command-line).

    (Created during installation.)

$HOME/.tuxpaintrc
    User's configuration file. It can be used to set default options (rather than setting them on the command-line every time), and/or to override any settings in the system-wide configuration file.

    (Not created or edited automatically; must be created manually. You can do this by hand, or use 'Tux Paint Config..')

$HOME/.tuxpaint/saved/
    A directory of previously-saved images (and thumbnails). Only files in this directory will be made available using the Open command within Tux Paint. (See tuxpaint-import(1).)

    (Created when Save command is used.)

$HOME/.tuxpaint/current_id.txt
    A reference to the image which was being edited when Tux Paint was last quit. (This image is automatically loaded the next time Tux Paint is re-run.)

    (Created when Tux Paint is Quit.)

$HOME/.tuxpaint/lockfile.dat
    A lockfile that prevents Tux Paint from being launched more than once every 30 seconds. Disable checking the lockfile by using the

    (There's no reason to delete the lockfile, as it contains a timestamp inside which causes it to expire after 30 seconds.)

COPYRIGHT
This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

OTHER INFO
The canonical place to find Tux Paint information is at http://www.newbreedsoftware.com/tuxpaint/.

AUTHORS
Bill Kendrick. <bill@newbreedsoftware.com>

With patches, fixes, extensions, translation, documentation and more from lots of people, including, but not limited to:

Daniel Andersson, Ben Armstrong, Denis Bodor, Herman Bruyninckx, Laurentiu Buzdugan, Pere Pujal Carabantes, Jacques Chion, Urska Colner, Ricardo Cruz, Kevin Donnelly, Doruk Fisek, Dovix, Korvigellou An Drouizig (Philippe), Fabian Franz, Gabriel Gazzan, The Greek Linux i18n Team, Robert Glowczynski, Sam "Criswell" Hart, Tedi Heriyanto, Pjetur G. Hjaltason, Knut Erik Hollund, Song Huang, Karl Ove Hufthammer, Roland Illig, Juan Irigoien, Dmitriy Ivanov, Mogens Jaeger, Nedjeljko Jedvaj, Aleksandar Jelenak, Rasmus Erik Voel Jensen, Wang Jian, Petri Jooste, Andrej Kacian, Kazuhiko, Mark Kim, Thomas Klausner, Koby, Marcin 'Shard' Konicki, Ines Kovacevic, Mantas Kriauciunas, Arkadiusz Lipiec, Dag H. Loras, Ankit Malik, Martin, Marco Milanesi, Mugunth, Gareth Owen, Flavio Pastor, Primoz Peterlin, Le Quang Phan, Milan Plzik, John Popplewell, Geert Stams, Peter Sterba, Tarmo Toikkanen, TOYAMA Shin-ichi, Rita Verbauskaite, Daniel Jose Viana, Charles Vidal, Damian Yerrick, Muhammad Najmi Ahmad Zabidi, Eugene Zelenko, and Martin Zhekov.

SEE ALSO
tuxpaint-import(1), tuxpaint-config(1), xpaint(1), gpaint(1), gimp(1)

And documentation within /usr/[local/]share/doc/tuxpaint/.